Package org.eclipse.microprofile.openapi.annotations.security

## Annotation Type SecurityRequirementsSets

    @Retention(RUNTIME)
    @Target({TYPE,METHOD})
    @Inherited
    public @interface SecurityRequirementsSets

Represents an array of security requirement sets that apply to an operation. Only one of requirement sets needs be satisfied to access the operation.

If this annotation is applied to a method which corresponds to an operation, then the requirements will be added to that operation.

If this annotation is applied to a class which contains methods which correspond to operations, then the requirements will be added to all operations corresponding to methods within that class which don't specify any other requirements.

This annotation may be used with `value` set to an empty array. When applied like this to a method or class, it indicates that no security requirements apply to the corresponding operations. This can be used to override security requirements which are specified for the whole API.

A `SecurityRequirementSets` annotation corresponds to an array of maps of security requirements in an OpenAPI document.

     Example:
     security:
       - oauth_implicit: []
         http_basic: []
       - api_secret: []

See Also:
  SecurityRequirement Object

### Optional Element Summary

Optional Elements
`SecurityRequirementsSet[]` `value` An array of SecurityRequirementSet annotations

### Element Detail

#### value

    SecurityRequirementsSet[] value

An array of SecurityRequirementSet annotations

Returns:
  the array of the SecurityRequirementSet annotations

Default:
  {}